---
title: Jenkins Migration Services
suppress_header: true
description: "Migrate the data that matters to ensure a smooth transition."
extra_css:
  - services.css
---

.wrapper
  .simple-header
    %h1
      Jenkins Migration Services
    %h3.headline-subtitle
      Replace legacy CI/CD debt with modern best practices and the industry leader: GitLab CI/CD

.services-inner
  .page-container.container
    %ol.breadcrumb
      %li 
      = breadcrumbs(current_page)
    .row
      .col-md-10.col-md-offset-1.tile
        %h1 Summary
        %p.service-para
          When thinking about migrating off of legacy systems, the project can often times seem too large or too daunting to undertake on your own.  Our DevOps experts have been in the field for years, and many of them have lead CI/CD transitions at their own organizations before joining GitLab.  We leverage this experience as well as experience migrating customers off their legacy Jenkins or Cloudbees systems to ensure a successful transition that improves your time to market and expands the value you realize from your GitLab implementation.

        %h2 Who is this service for?
        %p.service-para
          For small teams, simply converting the scripts that are in place to the simple .gitlab-ci.yml syntax is often enough to get started with GitLab CI/CD.  In larger enterprises, a project plan and specific engagement approach is required to ensure success.

        %h1 What's included?
        %h2 Engagement Approach
        %p.service-para
          Our engagement approach for migrating off of Jenkins and into modern CI/CD practices with GitLab CI/CD includes three phases: Evaluation, Education, and Empowerment.

        %h3 Evaluation Phase
        %p.service-para
          During the Evaluation Phase, our team will work with your experts to understand the current Jenkins environment, what technologies and plugins are in use and what positive business outcomes the team wants to see out of the transition.  We'll also identify essential integration points in terms of how and where your software is deployed.  During this time, we will also work with key stakeholders throughout your organization to understand who we can identify as mentors or "center of excellence" leaders to help lead the change management required to adopt CI/CD best practices.
        %p.service-para
          As an output to this phase, we will provide a summarized evaluation of the technologies involved, as well as recommendations as to where to start the next two phases of the engagement.
        
        %h3 Education Phase
        %p.service-para
          During the education phase, we'll work with your identified leaders and early adopters to teach the best practices and ways that GitLab CI/CD can be a benefit to the team, no matter what the technology stack.  We will provide GitLab CI/CD training as well as consulting about how to apply the models available to your organization's environment.
        %p.service-para
          After this phase is complete, you and your early adopter teams will be equipped to be GitLab CI/CD evangelists to the rest of your organization - and help teams that want to be the next to adopt GitLab CI/CD.
        
        %h3 Empowerment Phase
        %p.service-para
          In the empowerment phase, we will work with your teams to build templates, best practice guides, and guardrails to aid with the rollout of the migration plan to the rest of the enterprise.
        %p.service-para
          Our number one goal is to empower your engineers, team leaders, and DevOps teams to understand the benefits of transitioning to GitLab CI/CD.  This enables you to get the most value possible out of your GitLab installation, and realize the benefits of a DevOps platform delivered as a single application.
        %p.service-para
          Once templates and best practices have been established, the GitLab Professional Services can continue to work side-by-side with your team to direct more teams through their transition.  Alternatively, a more hands-off self-service organic approach to adoption is also possible, shortening the overall length of the services engagement.  We will work with your team to understand your specific needs and propose a statement of work that matches those.

.services-form#contactform
  .page-container.container.text-center
    %h2 Interested in GitLab Professional Services? Get in touch.
    %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
    %form#mktoForm_1476
    :javascript
      MktoForms2.setOptions(
      {
        formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
      });
      MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", 1476, function(form) {
        form.onSuccess(function(values, followUpUrl) {

          form.getFormElem().hide();
          document.getElementById('confirmform').style.visibility = 'visible';
          return false;
        });
      });
    #confirmform{style: "visibility:hidden;"}
      %p Submission received! We'll be in contact shortly.
